Bug 234781 - [GTK][a11y] Unregister objects and clear cache when last client disconnect with ATSPI
Summary: [GTK][a11y] Unregister objects and clear cache when last client disconnect wi...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on: 234740
Blocks: ATSPI
  Show dependency treegraph
 
Reported: 2022-01-01 02:48 PST by Carlos Garcia Campos
Modified: 2022-01-14 04:09 PST (History)
11 users (show)

See Also:


Attachments
Patch (14.29 KB, patch)
2022-01-01 02:57 PST, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff
Patch (14.36 KB, patch)
2022-01-13 04:43 PST, Carlos Garcia Campos
aperez: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2022-01-01 02:48:02 PST
We currently register objects when there are clients asking for cached items or connect event listeners. We could unregister the objects and clear the cache if all the clients are disconnected.
Comment 1 Carlos Garcia Campos 2022-01-01 02:57:45 PST
Created attachment 448152 [details]
Patch
Comment 2 Carlos Garcia Campos 2022-01-13 04:43:26 PST
Created attachment 449047 [details]
Patch
Comment 3 Carlos Garcia Campos 2022-01-14 04:09:09 PST
Committed r288013 (?): <https://commits.webkit.org/r288013>